//+------------------------------------------------------------------+
//|                                                  JBIRD MAs.mq4 |
//|                                     Copyright  2009, STIFFLER |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, STIFFLER"

#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 Lime
#property indicator_color2 DodgerBlue
#property indicator_color3 Red
#property indicator_color4 Aqua



// input params
extern int MA_Period1 = 21;
extern int MA_Period2 = 34;
extern int MA_Period3 = 50;
extern int MA_Period4 = 235;

// vars
int counted_bars, startBar, bar, i;

// buffers
double buf_1[], buf_2[], buf_3[], buf_4[];



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
    SetIndexBuffer(0, buf_1);
    SetIndexBuffer(1, buf_2);
    SetIndexBuffer(2, buf_3);
    SetIndexBuffer(3, buf_4);

    SetIndexStyle(0, DRAW_LINE, EMPTY, 2);
    SetIndexStyle(1, DRAW_LINE, EMPTY, 2);

    return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
    return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
    counted_bars = IndicatorCounted();
    startBar = Bars-counted_bars-1;

    for (bar=startBar; bar>=0; bar--)
    {
        buf_1[bar] = iMA(NULL, 0, MA_Period1, 0, MODE_EMA, PRICE_TYPICAL, bar);
        buf_2[bar] = iMA(NULL, 0, MA_Period2, 0, MODE_EMA, PRICE_TYPICAL, bar);
        buf_3[bar] = iMA(NULL, 0, MA_Period3, 0, MODE_EMA, PRICE_TYPICAL, bar);
        buf_4[bar] = iMA(NULL, 0, MA_Period4, 0, MODE_SMA, PRICE_TYPICAL, bar);
    }
    
    return(0);
}

